<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <mb-button nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="screenUpdate()"
             mbButtonText="{{ 'development.interview-config.buttonAction.handling' | translate }}">
  </mb-button>
  <mb-button nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='BORDER' (click)="sendResultInterview()"
             mbButtonText="{{ 'development.interview-config.buttonAction.sendResult' | translate }}">
  </mb-button>
</div>
<nz-card class="search-interview">
  <form nz-form>
    <div nz-row [nzGutter]="[16, 16]">
      <div nz-col class="gutter-row" nzLg="6">
        <span class="search-interview__rangeDateTitle">{{
          'development.interview-config.colTable.planCode' | translate
          }}</span>
        <mb-input-text
          minNumber="0"
          mbInputType="number"
          mbPlaceholderText="{{ 'development.interview-config.colTable.planCode' | translate }}"
          [(ngModel)]="params.proposeCode"
          [ngModelOptions]="{standalone: true}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <span class="search-interview__rangeDateTitle">{{
          'development.interview-config.formSearch.interviewSendDate' | translate
        }}</span>
        <nz-range-picker
          [ngModelOptions]="{standalone: true}"
          [(ngModel)]="params.rangeDate"
          class="search-interview__rangeDate"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.interviewStatus"
          [ngModelOptions]="{standalone: true}"
          [mbDataSelects]="dataCommonBranch.listStatus"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.interview-config.colTable.interviewProcessingStatus' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.interviewProcessingStatus' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeCode"
          [ngModelOptions]="{standalone: true}"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.interview-config.colTable.codeEmployee' | translate }}"
          mbPlaceholderText="{{ 'development.interview-config.colTable.codeEmployee' | translate }}"
        >
        </mb-input-text>
      </div>
    </div>
    <div nz-row [nzGutter]="[16, 8]" *ngIf="!isExpand">

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeName"
          [ngModelOptions]="{standalone: true}"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.interview-config.colTable.nameEmployee' | translate }}"
          mbPlaceholderText="{{ 'development.interview-config.colTable.nameEmployee' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.currentUnit"
          [ngModelOptions]="{standalone: true}"
          mbLabelText="{{ 'development.interview-config.colTable.unit' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.unit' | translate }}"
        >
        </mb-select-unit>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.currentTitle"
          [ngModelOptions]="{standalone: true}"
          [mbDataSelects]="dataCommonBranch.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="{{ 'development.interview-config.colTable.title' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.title' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.proposeUnit"
          [ngModelOptions]="{standalone: true}"
          mbLabelText="{{ 'development.interview-config.colTable.proposeUnit' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.proposeUnit' | translate }}"
        >
        </mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.proposeTitle"
          [ngModelOptions]="{standalone: true}"
          [mbDataSelects]="dataCommonBranch.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="{{ 'development.interview-config.colTable.proposeTitle' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.proposeTitle' | translate }}"
        >
        </mb-select>
      </div>
    </div>
  </form>

  <div nz-row [nzGutter]="12" class="search-interview__btnGroup">
    <div nz-col nzLg="9"></div>
    <div nz-col nzLg="9">
      <mb-button mbButtonSize="LARGE" (click)="search(1)" [disabled]="isLoading"
                 mbButtonText="{{ 'development.interview-config.buttonAction.search' | translate }}"
                 mbButtonAvailableStyle='CUSTOM'>
      </mb-button>
      <mb-button mbButtonAvailableStyle='BORDER' class="expand-btn" mbButtonSize="LARGE" (click)="expandSearch()">
        <span>
          <em nz-icon [nzType]="iconStatus"></em>
        </span>
      </mb-button>

      <mb-button
        mbButtonAvailableStyle='BORDER'
        mbButtonSize="LARGE"
        (click)="exportExcel(false)"
        [disabled]="isLoading"
      >
        <img src="assets/images/icon/excel.svg" alt="" />
      </mb-button>


      <mb-button
      mbButtonText="{{ 'development.interview-config.buttonAction.excelInterview' | translate }}"
        mbButtonAvailableStyle='BORDER'
        mbButtonSize="LARGE"
        (click)="exportExcel(true)"
        [disabled]="isLoading"
      >
      </mb-button>



    </div>
    <div nz-col nzLg="6"></div>
  </div>

  <div class="search-container">
    <span class="importbtn">
      <em nz-icon nzType="plus-circle" nzTheme="outline"></em>
    </span>
    <mb-button mbButtonType="NO_BORDER"
               mbButtonText="{{'common.button.uploadFile' | translate}}"
               mbButtonTextColor="#141ED2"
               mbButtonSize="LARGE"
               (click)="importFile()"
    >
    </mb-button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''" [extra]='false'>
  <mb-table
    (changePageNum)="search($event)"
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
    (onDblClickNode)="detail($event)"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #groupCBHeaderTmpl let-interviewId="interviewId">
  <label
    nz-checkbox
    [nzChecked]="checked"
    (nzCheckedChange)="onAllChecked($event)"
  >
  </label>
</ng-template>

<ng-template #groupCBTmpl let-interviewId="interviewId" let-interviewStatus="interviewStatus">
  <label
    nz-checkbox
    [nzChecked]="quantityMap.has(interviewId!)"
    (nzCheckedChange)="onItemChecked(interviewId, $event)"
    *ngIf="viewBoxInterview(interviewStatus)"
  >
  </label>
</ng-template>

<ng-template #interviewResultDescriptionTmpl let-interviewResultDescription="interviewResultDescription">
  <nz-tag
  [nzColor]="displayInterviewResult(interviewResultDescription)"
  class="interviewResult"
  *ngIf="interviewResultDescription !== undefined"
>
  {{ interviewResultDescription || '---' }}
</nz-tag>
</ng-template>


<ng-template #birthdayTmpl let-birthDay="birthDay">
  {{ birthDay | date: 'dd/MM/yyyy' }}
</ng-template>

<ng-template #interviewSentDateTmpl let-interviewSentDate="interviewSentDate">
  {{ interviewSentDate | date: 'dd/MM/yyyy' }}
</ng-template>

